org.apache.hadoop.registry.server.dns

## Class RecordCreatorFactory.HostPortInfo

- java.lang.Object
- - org.apache.hadoop.registry.server.dns.RecordCreatorFactory.HostPortInfo

- Enclosing class:
    RecordCreatorFactory

      public static class RecordCreatorFactory.HostPortInfo
      extends Object

  An object for storing the host and port info used to generate SRV records.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostPortInfo(org.xbill.DNS.Name host, int port)` Creates an object with a host and port pair.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HostPortInfo

          public HostPortInfo(org.xbill.DNS.Name host,
                              int port)

      Creates an object with a host and port pair.
      Parameters:
        `host` - the hostname/ip
        `port` - the port value

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.